package ai

import (
  "given_files/game"
)

type AI struct {
  Map *game.Map
}

func NewAI(Map *game.Map) AI {
  return AI {Map}
}

func (this AI) GetNextAction() game.Move {
  newx, newy := this.Map.Self.X, this.Map.Self.Y
  if !this.Map.IsWall(newx, newy - 1) {
    return game.UP
  }
  if !this.Map.IsWall(newx + 1, newy) {
    return game.RIGHT
  }
  if !this.Map.IsWall(newx, newy + 1) {
    return game.DOWN
  }
  return game.LEFT
}
